<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
                <span jhiTranslate="mpmApp.ruleHotItem.home.title">Rule Hot Item</span>
            </h5>
            <p-dataTable
                [value]="ruleHotItems"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="queryCount"
                [responsive]="true"
                [lazy]="true"
                dataKey="idRule"
                (onLazyLoad)="loadDataLazy($event)"
                >
                <p-header>
                    <jhi-alert></jhi-alert>
                    <div class="col-md-1 offset-md-11">
                        <button pButton type="button"
                            icon="fa-plus"
                            class="ui-button-primary btn-sm"
                            [routerLink]="['/', { outlets: { popup: 'rule-hot-item-new' + '/' + idProduct } }]">
                        </button>
                    </div>
                </p-header>
                <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.ruleHotItem.minDownPayment'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.minDownPayment | number}}
                    </ng-template>
                </p-column>
                <p-column header="Description">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.description}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.ruleHotItem.home.dateFrom'|translate}}" [style]="{'width': '150px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.dateFrom | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.ruleHotItem.home.dateThru'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.dateThru | date:'dd-MM-yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.productDocument.labelAction'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit"
                                [routerLink]="['/', { outlets: { popup: 'rule-hot-item/'+ rowData.idRule + '/edit'} }]"
                                replaceUrl="true"
                                icon="fa-pencil"
                                class="flat-button">
                        </button>
                        <button pButton type="button"
                                (click)="delete(rowData.idRule, rowIndex)"
                                icon="fa-remove"
                                class="flat-button" *ngIf="!readonly">
                        </button>
                    </ng-template>
                </p-column>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>
<p-confirmDialog></p-confirmDialog>
